/* libopt++/src/libopt++/TopHeader.h
 *
 *  (c)2006, Laurence Withers. Released under the GNU GPL. See file
 *  COPYING for more information / terms of license.
*/

#ifndef HEADER_liboptpp
#define HEADER_liboptpp

// standard includes, or includes needed for type declarations
#include <string>
#include <vector>
#include <ios>
#include <stdexcept>

/*! \brief libopt++ namespace
 *
 * Contains classes used to parse commandline options (argc, argv). Like getopt, only for C++.
 * The main class is Opt::Parser, which is an abstract base class (override its option() methods).
 * There is also an exception class, BadArg, derived from std::exception.
 *
 * */
namespace opt { }

/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
*/
